Subject: Re: bug#17801: 24.3.91; Regression: Texinfo Mode inserts newline after markup

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Jun 2014 17:54:58 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 18 Jun 2014 23:54:42 -0400
> 
> > I couldn't find a clear-cut way to fix this.  Setting
> > skeleton-end-newline to nil doesn't sound right,
> 
> I think it's the right solution, tho.
> 
> > I also couldn't find any way of telling a skeleton not to insert a
> > newline; did I miss something?
> 
> Indeed, there isn't any.  But really skeleton shouldn't insert a newline
> by default (since it offers no way for individual skeletons to override
> it).  Instead, each skeleton that needs it should end with a \n.

But this will probably cause massive breakage in users of skeleton.
So it might be appropriate for the trunk, but not for the emacs-24
branch.

For the branch, is it OK to make skeleton-end-newline buffer-local in
Texinfo buffers, and then give it a nil value?